allocator_type
array
array_t
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
boolean_t
cbegin
cend
clear
const_pointer
const_reference
const_reverse_iterator
count
crbegin
crend
difference_type
dump
empty
end
end
erase
erase
erase
erase
find
find
front
front
get
get
get
get_allocator
get_ptr
get_ptr
insert
insert
insert
insert
insert
is_array
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_object
is_primitive
is_string
is_structured
max_size
number_float_t
number_integer_t
object
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator<
operator<
operator<<
operator<<
operator<=
operator=
operator==
operator==
operator==
operator>
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
parse
parse
parse
parse_event_t
parser_callback_t
pointer
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
size
size_type
string_t
swap
swap
swap
swap
type
value
value
value_t
value_type
~basic_json

template<template< typename U, typename V, typename...Args > class ObjectType = std::map, template< typename U, typename...Args > class ArrayType = std::vector, class StringType = std::string, class BooleanType = bool, class NumberIntegerType = int64_t, class NumberFloatType = double, template< typename U > class AllocatorType = std::allocator>

iterator nlohmann::basic_json::insert | ( | const_iterator | pos,
|  | basic_json && | value
| ) |  |

inline

inserts element Inserts element value before iterator pos.

Parameters

  [in] | pos | iterator before which the content will be inserted; may be the end() iterator
  [in] | value | element to insert

Returns
  iterator pointing to the inserted value.

Exceptions

  std::domain_error | if called on JSON values other than arrays
  std::domain_error | if pos is not an iterator of *this

Complexity
  Constant plus linear in the distance between pos and end of the container.

Example
  The example shows how insert is used.
  #include <json.hpp>
  using namespace nlohmann;
  int main()
  {
  // create a JSON array
  json v = {1, 2, 3, 4};
  // insert number 10 before number 3
  auto new_pos = v.insert(v.begin() + 2, 10);
  // output new array and result of insert call
  std::cout << *new_pos << '\n';
  std::cout << v << '\n';
  }
  nlohmann::basic_json
  a class to store JSON values
  Definition: json.hpp:187
  nlohmann::basic_json::begin
  iterator begin()
  returns an iterator to the first element
  Definition: json.hpp:3372
  nlohmann
  namespace for Niels Lohmann
  Definition: json.hpp:78
  nlohmann::basic_json::insert
  iterator insert(const_iterator pos, const basic_json &value)
  inserts element
  Definition: json.hpp:3991
  Output (play with this example online):

      10
      [1,2,10,3,4]

  The example code above can be translated with

      g++ -std=c++11 -Isrc doc/examples/insert.cpp -o insert

Since
  version 1.0

Definition at line 4017 of file json.hpp.